package com.liquidnet.common.third.xuper.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 获取访问BOS临时STS凭证
 * @class: Xuper001GetStokenReqDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class Xuper001GetStokenReqDto implements Serializable {
    /**
     * 助记词
     */
    private String mnemonic;
//    /**
//     * 创建资产账户地址
//     */
//    private String addr;
//    /**
//     * 创建资产账户私钥签名,内容为：msg = Sprintf(“%d”, nonce)，sign = XassetSignECDSA(account, msg)
//     */
//    private String sign;
//    /**
//     * 创建资产账户公钥
//     */
//    private String pkey;
//    /**
//     * 随机数，可用sdk内置算法gen_nonce()生成
//     */
//    private Integer nonce;

    private static final Xuper001GetStokenReqDto obj = new Xuper001GetStokenReqDto();
    public static Xuper001GetStokenReqDto getNew() {
        try {
            return (Xuper001GetStokenReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Xuper001GetStokenReqDto();
        }
    }
}
